Apply by doing:
	cd /usr/src
	patch -p0 < 011_hwcrypto.patch
And then rebuild your kernel.

Index: sys/crypto/crypto.c
===================================================================
RCS file: /cvs/src/sys/crypto/crypto.c,v
retrieving revision 1.14
diff -u -r1.14 crypto.c
--- crypto.c	2000/09/07 18:44:29	1.14
+++ crypto.c	2000/12/13 16:18:29
@@ -106,7 +106,7 @@
     if (err == 0)
     {
 	(*sid) = hid;
-	(*sid) <<= 31;
+	(*sid) <<= 32;
 	(*sid) |= (lid & 0xffffffff);
         crypto_drivers[hid].cc_sessions++;
     }
@@ -128,7 +128,7 @@
       return EINVAL;
 
     /* Determine two IDs */
-    hid = (sid >> 31) & 0xffffffff;
+    hid = (sid >> 32) & 0xffffffff;
 
     if (hid >= crypto_drivers_num)
       return ENOENT;
@@ -317,7 +317,7 @@
 	return 0;
     }
 
-    hid = (crp->crp_sid >> 31) & 0xffffffff;
+    hid = (crp->crp_sid >> 32) & 0xffffffff;
 
     if (hid >= crypto_drivers_num)
     {
